Skip to main content
GET
/
v1
/
google
/
maps
/
search
Search Google Maps places
curl --request GET \
  --url https://scrapebadger.com/v1/google/maps/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/maps/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/maps/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "title": "<string>",
      "place_id": "<string>",
      "data_id": "<string>",
      "data_cid": "<string>",
      "rank": 123,
      "rating": 123,
      "reviews_count": 123,
      "price_level": "<string>",
      "type": "<string>",
      "types": [
        "<string>"
      ],
      "type_ids": [
        "<string>"
      ],
      "extensions": [
        {}
      ],
      "address": "<string>",
      "phone": "<string>",
      "website": "<string>",
      "gps_coordinates": {
        "lat": 123,
        "lng": 123
      },
      "open_state": "<string>",
      "hours": "<string>",
      "operating_hours": {},
      "description": "<string>",
      "thumbnail": "<string>",
      "image": "<string>",
      "google_maps_url": "<string>",
      "reviews_link": "<string>",
      "photos_link": "<string>",
      "posts_link": "<string>",
      "service_options": {
        "dine_in": true,
        "takeout": true,
        "delivery": true,
        "curbside_pickup": true
      }
    }
  ],
  "pagination": {
    "current": 1,
    "next": "<string>",
    "total_results": 123,
    "total_pages": 123,
    "page_no": {}
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Search query (e.g. 'pizza in New York')

ll
string | null

GPS coords @lat,lng,zoom

gl
string
default:us

Country code

hl
string
default:en

Language code

start
integer
default:0

Pagination offset (increments of 20)

Required range: x >= 0

Response

Successful Response

Response for GET /api/v1/maps/search.

results
MapsPlaceResult · object[]
required
pagination
Pagination · object
required

Pagination metadata.